classification
Title: Unable to load external modules on build slave with debug python
Type: behavior Stage: resolved
Components: Build, Windows Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, db3l, loewis
Priority: normal Keywords:

Created on 2009-11-14 04:30 by db3l, last changed 2012-12-31 07:40 by brian.curtin. This issue is now closed.

Messages (2)
msg95227 - (view) Author: David Bolen (db3l) * Date: 2009-11-14 04:30
As I mentioned in a recent python-dev post, I've noticed that the
Windows build slaves are skipping tests of external modules (like ssl
and bz2).

After finding an old 2.6a0 tree that I had locally built where things
worked fine, I stepped through some 2.6 tags and discovered that this
broke between 2.6 and 2.6.1

The problem appears to be the the change in r67121 for 2.6 (67120 in
trunk) from Nov, 2008 that removed the embedded manifest.  With that
change, you can't import the external modules from python_d in PCBuild,
so the tests will skip.  Reverting just that change, even on the 2.6.1
source tree, and importing works fine.

So I don't think the external module tests have been running on the
Windows build slave since late 2008.

I tried creating some external manifest files, but haven't been able to
work around the problem so far.  Perhaps embedded manifests could be
permitted in debug mode and/or when building for buildbot?
msg112889 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-04 20:42
I thought I'd flag this up as there's been talk about the buildbots on python-dev today.
History
Date User Action Args
2012-12-31 07:40:31brian.curtinsetstatus: open -> closed
resolution: out of date
type: behavior
stage: resolved
2010-08-04 20:42:24BreamoreBoysetnosy: + BreamoreBoy
messages: + msg112889
2009-11-14 09:14:02loewissetnosy: + loewis
2009-11-14 04:30:27db3lcreate